package com.xzzn.web.controller.ems;

import com.xzzn.common.core.controller.BaseController;
import com.xzzn.common.core.domain.AjaxResult;
import com.xzzn.ems.service.ISingleSiteService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 *
 *  单站监控
 *
 */
@RestController
@RequestMapping("/ems/siteMonitor")
public class EmsSiteMonitorController extends BaseController{

    @Autowired
    private ISingleSiteService iSingleSiteService;

    /**
     * 获取单站首页数据
     */
    @GetMapping("/homeView")
    public AjaxResult getSingleSiteViewInfo(@RequestParam Long siteId)
    {
        return success(iSingleSiteService.getSiteMonitorDataVo(siteId));
    }

    /**
     * 单站监控-设备监控-实时运行头部数据
     */
    @GetMapping("/runingHeadInfo")
    public AjaxResult getRuningHeadInfo(@RequestParam Long siteId)
    {
        return success(iSingleSiteService.getSiteRuningHeadInfo(siteId));
    }
}
