package com.xzzn.ems.mapper;

import java.util.List;
import com.xzzn.ems.domain.EmsSite;
import com.xzzn.ems.domain.vo.SiteTotalInfoVo;

/**
 * 站点Mapper接口
 *
 * @author xzzn
 * @date 2025-06-16
 */
public interface EmsSiteMapper
{
    /**
     * 查询站点
     *
     * @param id 站点主键
     * @return 站点
     */
    public EmsSite selectSiteById(Long id);

    /**
     * 查询站点列表
     *
     * @return 站点集合
     */
    public List<EmsSite> selectSiteList();

    /**
     * 新增站点
     *
     * @param site 站点
     * @return 结果
     */
    public int insertSite(EmsSite site);

    /**
     * 修改站点
     *
     * @param site 站点
     * @return 结果
     */
    public int updateSite(EmsSite site);

    /**
     * 删除站点
     *
     * @param id 站点主键
     * @return 结果
     */
    public int deleteSiteById(Long id);

    /**
     * 批量删除站点
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSiteByIds(Long[] ids);

    /**
     * 获取站点总信息
     * @return
     */
    public SiteTotalInfoVo getSiteTotalInfo();
}
